com.holonplatform.core.query

## Enum QueryFilter.FilterOperator

- java.lang.Object
- - java.lang.Enum<QueryFilter.FilterOperator>
  - - com.holonplatform.core.query.QueryFilter.FilterOperator

- All Implemented Interfaces:
    Serializable, Comparable<QueryFilter.FilterOperator>
  Enclosing interface:
    QueryFilter

      public static enum QueryFilter.FilterOperator
      extends Enum<QueryFilter.FilterOperator>

  Filter operators.
  Since:
    4.4.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BETWEEN` BETWEEN
    `EQUAL` EQUAL
    `GREATER_OR_EQUAL` GREATER OR EQUAL
    `GREATER_THAN` GREATER THAN
    `IN` IN
    `LESS_OR_EQUAL` LESS OR EQUAL
    `LESS_THAN` LESS THAN
    `MATCH` MATCH
    `NOT_EQUAL` NOT EQUAL
    `NOT_IN` NOT IN
    `NOT_NULL` IS NOT NULL
    `NULL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QueryFilter.FilterOperator` | `deserialize(String serializedId)` Get the `QueryFilter.FilterOperator` matching the given serialized id
    `static QueryFilter.FilterOperator` | `fromSymbol(String symbol)` Parse a `QueryFilter.FilterOperator` from symbol
    `String` | `getSerializedId()` Serialized form id
    `String` | `getSymbol()` Get operator symbol
    `static QueryFilter.FilterOperator` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static QueryFilter.FilterOperator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EQUAL

          public static final QueryFilter.FilterOperator EQUAL

      EQUAL

    - #### NOT_EQUAL

          public static final QueryFilter.FilterOperator NOT_EQUAL

      NOT EQUAL

    - #### GREATER_THAN

          public static final QueryFilter.FilterOperator GREATER_THAN

      GREATER THAN

    - #### GREATER_OR_EQUAL

          public static final QueryFilter.FilterOperator GREATER_OR_EQUAL

      GREATER OR EQUAL

    - #### LESS_THAN

          public static final QueryFilter.FilterOperator LESS_THAN

      LESS THAN

    - #### LESS_OR_EQUAL

          public static final QueryFilter.FilterOperator LESS_OR_EQUAL

      LESS OR EQUAL

    - #### BETWEEN

          public static final QueryFilter.FilterOperator BETWEEN

      BETWEEN

    - #### IN

          public static final QueryFilter.FilterOperator IN

      IN

    - #### NOT_IN

          public static final QueryFilter.FilterOperator NOT_IN

      NOT IN

    - #### MATCH

          public static final QueryFilter.FilterOperator MATCH

      MATCH

    - #### NULL

          public static final QueryFilter.FilterOperator NULL

    - #### NOT_NULL

          public static final QueryFilter.FilterOperator NOT_NULL

      IS NOT NULL

  - ### Method Detail

    - #### values

          public static QueryFilter.FilterOperator[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QueryFilter.FilterOperator c : QueryFilter.FilterOperator.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QueryFilter.FilterOperator valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getSymbol

          public String getSymbol()

      Get operator symbol
      Returns:
        Symbol

    - #### getSerializedId

          public String getSerializedId()

      Serialized form id
      Returns:
        Serialized id

    - #### fromSymbol

          public static QueryFilter.FilterOperator fromSymbol(String symbol)

      Parse a `QueryFilter.FilterOperator` from symbol
      Parameters:
        `symbol` - Symbol
      Returns:
        Filter operator, or `null` if symbol is not associated to any operator

    - #### deserialize

          public static QueryFilter.FilterOperator deserialize(String serializedId)

      Get the `QueryFilter.FilterOperator` matching the given serialized id
      Parameters:
        `serializedId` - Serialized operator id
      Returns:
        FilterOperator, or `null` if none match

Copyright © 2017 The Holon Platform. All rights reserved.